Subject: bug#54559: libtool-2.4.7 released [stable]

From: Alex Ameen <[email-masked]>
Date: Fri, 25 Mar 2022 11:07:52 -0500

Thank you! Feels good to make it through the release process for the first
time and get things updated a bit after so many years.

On Fri, Mar 25, 2022, 10:37 AM Evgeny Grin <[email-masked]> wrote:

> Hi Alex,
>
> Congratulation on the new release!
>
> --
> Evgeny
>
> -------- Original Message --------
> From: Alex Ameen <[email-masked]>
> Sent: Friday, March 25, 2022, 07:51 UTC+3
> Subject: libtool-2.4.7 released [stable]
>
> > Howdy, Libtoolers!
> >
> > After a long hiatus, the Libtool Team is pleased to announce the release
> of
> > libtool 2.4.7.
> >
> >
> > GNU Libtool hides the complexity of using shared libraries behind a
> > consistent, portable interface. GNU Libtool ships with GNU libltdl, which
> > hides the complexity of loading dynamic runtime libraries (modules)
> > behind a consistent, portable interface.
> >
> > Here are the compressed sources:
> >    https://ftpmirror.gnu.org/libtool/libtool-2.4.7.tar.gz   (1.9MB)
> >    https://ftpmirror.gnu.org/libtool/libtool-2.4.7.tar.xz   (996KB)
> >
> > Here are the GPG detached signatures[*]:
> >    https://ftpmirror.gnu.org/libtool/libtool-2.4.7.tar.gz.sig
> >    https://ftpmirror.gnu.org/libtool/libtool-2.4.7.tar.xz.sig
> >
> > Use a mirror for higher download bandwidth:
> >    https://www.gnu.org/order/ftp.html
> >
> > Here are the SHA1 and SHA256 checksums:
> >
> > d3f2d5399f4bf5cbd974b812ebaca28d6492ca65  libtool-2.4.7.tar.gz
> > BOlsJATqcMWQxUbrpCAqThJyLGQAFsErmy8c49SB6ag  libtool-2.4.7.tar.gz
> > 0c90f1b046ea9cd7b32a4b5a6a9df4b46ddb637a  libtool-2.4.7.tar.xz
> > T38hfwV85lX/IlWa0iGg/Y74StH8X8tpkM7MMzqhY10  libtool-2.4.7.tar.xz
> >
> > The SHA256 checksum is base64 encoded, instead of the
> > hexadecimal encoding that most checksum tools default to.
> >
> > [*] Use a .sig file to verify that the corresponding file (without the
> > .sig suffix) is intact.  First, be sure to download both the .sig file
> > and the corresponding tarball.  Then, run a command like this:
> >
> >    gpg --verify libtool-2.4.7.tar.gz.sig
> >
> > If that command fails because you don't have the required public key,
> > then run this command to import it:
> >
> >    gpg --keyserver keys.gnupg.net --recv-keys 6EAC957F8EEB55C0
> >
> > and rerun the 'gpg --verify' command.
> >
> > This release was bootstrapped with the following tools:
> >    Autoconf 2.69
> >    Automake 1.16.3
> >    Gnulib a5218207e5
> >
> > NEWS
> >
> > * Noteworthy changes in release 2.4.7 (2022-03-16) [stable]
> >
> > ** New features:
> >
> >    - Libtool script now supports (configure-time and runtime) ARFLAGS
> >      variable, which obsoletes AR_FLAGS.  This is due to naming
> conventions
> >      among other *FLAGS and to be consistent with Automake's ARFLAGS.
> >
> >    - Gnulib testsuite is enabled and run during 'make check'.
> >
> >    - Support the Windows version of the Intel C Compiler (icl) in
> >      libtool script.
> >
> >    - Pass '-fsanitize=*' flags for GCC and LLVM, and '-specs=*' for GCC
> >      to linker.
> >
> >    - Pass '-Xassembler=*' and '-Wa,*' flag to compilers and linkers.
> >
> >    - The variable 'FILECMD' with default value of '/usr/bin/file' was
> > used to
> >      replace existing hard coded references to '/usr/bin/file'.
> >
> >    - Add MidnightBSD support.
> >
> > ** Important incompatible changes:
> >
> >    - Libtool changed ARFLAGS/AR_FLAGS default from 'cru' to 'cr'.
> >
> >    - Do not pass '-pthread' to Solaris linker.
> >
> >    - 'libtool' and 'libtoolize' scripts now use '#! /usr/bin/env sh'
> > shebang.
> >      Previously '#! /bin/sh' was used, which presents challenges for
> >      containerized environments.
> >
> > ** Bug fixes:
> >
> >    - Fix significant slowdown of libtoolize for certain projects
> > (regression
> >      introduced in 2.4.3 release) caused by infinite m4 macro recursion.
> >
> >    - Mitigate the slowdown of libtool script (introduced in v2.4.3)
> > caused by
> >      increased number of calls to '$SED $sed_quote_subst' (bug#20006).
> >
> >    - Properly parse and export TLS symbols on AIX.
> >
> >    - Various bug fixes surrounding use of 'sed'.
> >
> >    - Darwin systems set proper "allow undefined" flag on OSX 11, and
> >      PowerPC 10.5.
> >
> >    - Removed some deprecated tests related to 'Makefile.inc' files.
> >
> >
> > Enjoy!
> >
>